DtWsmGetWorkspacesOccupied(library call)

NAME
DtWsmGetWorkspacesOccupied — get the workspaces in which a window resides

SYNOPSIS

#include &<Dt/Wsm.h>
Status DtWsmGetWorkspacesOccupied(
Display *display,
Window window,
Atom **ppaWorkspaces,
int *pNumWs);

DESCRIPTION

The DtWsmGetWorkspacesOccupied function works with the XCDE workspace manager, dtwm(1), and returns the list of workspaces in which this window resides. Each element of the list is the name of a workspace (converted to an X atom).

The display argument is the X display.

The window argument is the window of interest.

The *ppaWorkspaces argument is the address of a pointer to receive the pointer to a list of workspace names (converted to X atoms).

The pNumWs argument is the address of an integer to receive the number of elements in the list of workspaces returned in *ppaWorkspaces.

RETURN VALUE

Upon successful completion, the DtWsmGetWorkspacesOccupied function returns Success and the workspace manager returns in *ppaWorkspaces a list of atoms identifying the occupied workspaces, and returns in pNumWs the number of occupied workspaces; otherwise, it returns a value not equal to Success.

APPLICATION USAGE

If the DtWsmGetWorkspacesOccupied function is not successful, failure may be due to a memory allocation error or failure to find the correct workspace information (that is, the XCDE workspace manager, dtwm(1), is not running). The application must use XtFree(3) to free data returned in *ppaWorkspaces.

SEE ALSO

Dt/Wsm.h - DtWsm(5), XtFree(3), dtwm(1).